jmeter-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Igor Sasovets <isasov...@gmail.com>
Subject PR390 - update mongo-java-driver version
Date Sun, 01 Jul 2018 08:08:02 GMT
Hi, Team! Recently I opened PR to apache/jmeter github repository:
https://github.com/apache/jmeter/pull/390. Main aim of this PR is to allow
users apply JMeter for projects which use MongoDB database.  I wanted to
test my application that uses MongoDB database using JMeter but faced with
problems which related to mongo-java-driver version. Since MongoDB config
deprecated, I used JSR232 Sampler and wrote Java code that allows me to
interact with database. Current version of mongo-java-driver (2.11.3) is
out of date and I couldn't connect to my DB using created script. So, I
decided to update mongo-java-driver version because it allows to use JMeter
with MongoDB and has big impact to user experience (at least, for me and my
colleagues). PR build failed due to problem with version of ant.

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message